Page 2 of 5

Re: OpenCart v1.4.9

Posted: Sat Aug 28, 2010 10:25 pm
by Qphoria
Hildebrando wrote:Hi:

There is a sample code or simple explanation to work with the new install/uninstall hook?

Qphforia thanx for your work!!

best,

Hilde
Simple. In the admin/controller/module/xxx.php file of your custom extension (could be any module, payment, shipping, total, etc), simply create a function called install() and put some additional code that needs to be executed during install of the module. For example, if your module uses its own database table or column, this is where you could programmatically add it.

Example:

Code: Select all

private function install() {
	$sql = "
		CREATE TABLE IF NOT EXISTS `" . DB_PREFIX . "table` (
		`product_id` int(11) NOT NULL default '0',
		`unit_id` int(11) NOT NULL default '0',
		PRIMARY KEY  (`product_id`,`unit_id`)
		) ENGINE=MyISAM DEFAULT CHARSET=utf8";
	$this->db->query($sql);
}
Similarly, create an uninstall() function in that same file and add the code to remove this new table or column and clear out any other data

Re: OpenCart v1.4.9

Posted: Sat Aug 28, 2010 10:48 pm
by Hildebrando
Hi Qphoria:

Thanx. I'll work with...

Best,

Hilde

Re: OpenCart v1.4.9

Posted: Sun Aug 29, 2010 9:47 am
by pedma
Hi Q, Daniel and others,

Many thanks to all of the coding group .... :)
Nice work, very appreciate ..
I will try it soon ....

Thanks
- pedma -

Re: OpenCart v1.4.9

Posted: Sun Aug 29, 2010 8:34 pm
by neamtujose
Hello, I am ready to test 1.4.9 version on my site, www.motounelte.com.ro.

Anyway, thank you for your support, it's great.

I am not IT specialist, but with your help I builded my site from 0 "zero".

Thank you again !!!

;D

Re: OpenCart v1.4.9

Posted: Sun Aug 29, 2010 9:10 pm
by OCyvon2
Question about language.

When I installed an extra language and set this as default and disable english then in the admin you still have to fill in english for category, products etc.

Only in the shop you can use one language, but in admin you have to use both even when it is disabled. How can I fix this.

Re: OpenCart v1.4.9

Posted: Mon Aug 30, 2010 1:09 am
by Alekx
Question about the theme :

Is this version 1.4.9 is compatible with the themes of 1.4.8b?

Thank you

Re: OpenCart v1.4.9

Posted: Mon Aug 30, 2010 3:07 am
by jcr66
I have now successfully upgraded to 1.4.9 today but get a warning when I log into opencart admin saying:

warning install folder still exists opencart

Please can you tell me how to remove this?

Thanks
Jim

Re: OpenCart v1.4.9

Posted: Mon Aug 30, 2010 3:29 am
by Moggin
jcr66 wrote:I have now successfully upgraded to 1.4.9 today but get a warning when I log into opencart admin saying:

warning install folder still exists opencart

Please can you tell me how to remove this?

Thanks
Jim
Hi Jim
Just use your FTP client to connect to your site host, and delete the install file, which is in the root of the store:
full_upload_example2.png

full_upload_example2.png (5.39 KiB) Viewed 7507 times


Re: OpenCart v1.4.9

Posted: Mon Aug 30, 2010 3:51 am
by jcr66
Thanks Moggin

If you dont ask you dont learn. So many thanks for that and I will now go and delete it.

Regards

Jim

Deleted file and worked a treat thanks.

Re: OpenCart v1.4.9

Posted: Mon Aug 30, 2010 7:46 am
by Moggin
jcr66 wrote:If you dont ask you dont learn.
that's true... glad to help : )

Re: OpenCart v1.4.9

Posted: Mon Aug 30, 2010 8:10 am
by InfiniteDezigns
I'm having issues with pay pal. Everything is fine with my cart but when I go to checkout on Pay pal I get this message:

This recipient either does not accept payments denominated in <b> or has specified an invalid currency code on his web site. Please contact the seller and ask him either to update his payment receiving preferences to accept this currency or to correct his web site to specify a valid currency code.

Paypal was working fine with the 1.4.2.b and I just updated this to 1.4.9 today. Can someone help as this is my only problem!!!!

Re: OpenCart v1.4.9

Posted: Mon Aug 30, 2010 8:27 am
by Qphoria
InfiniteDezigns wrote:I'm having issues with pay pal. Everything is fine with my cart but when I go to checkout on Pay pal I get this message:

This recipient either does not accept payments denominated in <b> or has specified an invalid currency code on his web site. Please contact the seller and ask him either to update his payment receiving preferences to accept this currency or to correct his web site to specify a valid currency code.

Paypal was working fine with the 1.4.2.b and I just updated this to 1.4.9 today. Can someone help as this is my only problem!!!!

It is likely that you are using a 1.4.8 theme that was created improperly and doesn't have the new paypal tpl file in it. Remove the pp_standard.tpl file from catalog/view/theme/YOURTHEME/template/payment/pp_standard.tpl

By removing it, it will default back to the one that is in the "default" folder, which has the correct fields

Re: OpenCart v1.4.9

Posted: Mon Aug 30, 2010 8:35 am
by aicdigital
Flawless .. Thanks Q .. Updated in 15 minutes no problem at all.
AIC INCORPORATED www.asktp.com is now running QC1.4.9 - even with the modified ProShop template !!!!

Awesome work!!!

Re: OpenCart v1.4.9

Posted: Mon Aug 30, 2010 9:12 am
by Xsecrets
aicdigital wrote:Flawless .. Thanks Q .. Updated in 15 minutes no problem at all.
AIC INCORPORATED http://www.asktp.com is now running QC1.4.9 - even with the modified ProShop template !!!!

Awesome work!!!
wow I went there to check it out and closed the tab after about 2 minutes and the site hadn't come up. You may seriously want to look into getting a new host.

Re: OpenCart v1.4.9

Posted: Mon Aug 30, 2010 9:46 am
by datacon
Could the DEMO of opencart please be updated to latest version to test admin side?

Thanks

http://demo.opencart.com

Re: OpenCart v1.4.9

Posted: Mon Aug 30, 2010 12:08 pm
by welehweleh
woww.. im try it.. thanks for all oc mania..
:D

Re: OpenCart v1.4.9

Posted: Mon Aug 30, 2010 12:51 pm
by opencartArab
Alekx wrote:Question about the theme :

Is this version 1.4.9 is compatible with the themes of 1.4.8b?

Thank you
NOTES:
- No changes should be needed for most third party Extensions. Most extensions that worked for 1.4.8/1.4.8b should work for 1.4.9 without change.

Re: OpenCart v1.4.9

Posted: Mon Aug 30, 2010 12:58 pm
by Qphoria
opencartArab wrote:
Alekx wrote:Question about the theme :

Is this version 1.4.9 is compatible with the themes of 1.4.8b?

Thank you
NOTES:
- No changes should be needed for most third party Extensions. Most extensions that worked for 1.4.8/1.4.8b should work for 1.4.9 without change.
I will qualify that however, only themes that were correctly made based on the 2 golden rules here:
http://www.opencart.com/index.php?route ... path=43_44

Unfortunately most themes weren't made correctly and were made by copying and pasting the entire default theme directory so they don't use the override system. You will likely run into problems with paypal and other issues because of it if this is the case

Re: OpenCart v1.4.9

Posted: Mon Aug 30, 2010 7:56 pm
by mbaldock2001
[EDIT: (re)moved from 1.4.9 bug list posts]

Hi,
A small issue, but have searched and not found any results for this elsewhere.

It appears that catalog\model\localisation\packaging.php has been removed from 1.4.9

Could someone confirm this?

Many, many thanks to all involved in development of OC1.4.9..
Mark

Re: OpenCart v1.4.9

Posted: Mon Aug 30, 2010 8:36 pm
by Xsecrets
mbaldock2001 wrote:[EDIT: (re)moved from 1.4.9 bug list posts]

Hi,
A small issue, but have searched and not found any results for this elsewhere.

It appears that catalog\model\localisation\packaging.php has been removed from 1.4.9

Could someone confirm this?

Many, many thanks to all involved in development of OC1.4.9..
Mark
looks like that was removed in 1.4.8